/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package db;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the teaches database table.
 * 
 */
@Entity
@Table(name = "teaches")
@NamedQuery(name = "Teach.findAll", query = "SELECT t FROM Teach t")
public class Teach implements Serializable {
  private static final long serialVersionUID = 1L;
  private TeachPK id;

  public Teach() {
  }

  @EmbeddedId
  public TeachPK getId() {
    return this.id;
  }

  public void setId(TeachPK id) {
    this.id = id;
  }

}
